Skip to main content
POST
Grant a user or organization Model API access

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelApiId
string
required

Model API id (24-character hex). Obtain from GET /api/modelServing/v1/modelApis or the Model API details URL.

Body

application/json
id
string
required

Domino user or organization id.

isOrganization
boolean
required

Whether id identifies an organization.

role
string
required

Collaborator role. Management APIs accept Owner, Editor, and Viewer.

Response

The newly created collaborator.

id
string
required

Domino user or organization id.

isOrganization
boolean
required

Whether id identifies an organization.

role
string
required

Collaborator role. Management APIs accept Owner, Editor, and Viewer.

Last modified on September 3, 2026